// by ghostisLoL

textures/DayAfter/water
{ 
   qer_editorimage textures/DayAfter_misc/water.jpg 
   qer_trans .5 
   q3map_lightimage textures/DayAfter_misc/water.jpg 
   q3map_globaltexture 

   surfaceparm trans 
   surfaceparm nonsolid 
   surfaceparm water 

   cull disable 
   deformVertexes wave 64 sin .25 .25 0 .5
   { 
      map textures/DayAfter_misc/water.jpg 
      blendFunc GL_dst_color GL_one 
      //rgbgen identity
      rgbgen vertex
      //alphagen vertex
      alphaFunc GE128
      alphaGen const 128
      tcmod scale .5 .5 
      tcmod scroll .025 .01 
   } 
   { 
      map textures/DayAfter_misc/water.jpg 
      blendFunc GL_dst_color GL_one 
      tcmod scale -.5 -.5 
      tcmod scroll .025 .025 
   } 
   { 
      map $lightmap 
      blendFunc GL_dst_color GL_zero 
      //rgbgen identity       
      rgbgen vertex
      //alphagen vertex
      alphaFunc GE128
      alphaGen const 128 
   } 
}


textures/DayAfter/skip
{
	qer_editorimage textures/DayAfter_misc/skip.jpg
	qer_trans .1

	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}


textures/common/ladder
{
qer_trans .75
qer_editorimage textures/common/ladder.jpg
surfaceparm ladder
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
surfaceparm nomarks
surfaceparm noimpact
surfaceparm playerclip
}

textures/DayAfter/fiamma01
{	qer_editorimage textures/DayAfter_misc/flame1.jpg
	qer_trans .6

	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans

	cull disable
	deformvertexes autosprite2

	{
		animMap 10 textures/DayAfter_misc/flame1.jpg textures/DayAfter_misc/flame2.jpg textures/DayAfter_misc/flame3.jpg textures/DayAfter_misc/flame4.jpg textures/DayAfter_misc/flame5.jpg textures/DayAfter_misc/flame6.jpg textures/DayAfter_misc/flame7.jpg textures/DayAfter_misc/flame8.jpg
		blendFunc add
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/DayAfter_misc/flame2.jpg textures/DayAfter_misc/flame3.jpg textures/DayAfter_misc/flame4.jpg textures/DayAfter_misc/flame5.jpg textures/DayAfter_misc/flame6.jpg textures/DayAfter_misc/flame7.jpg textures/DayAfter_misc/flame8.jpg textures/DayAfter_misc/flame1.jpg
		blendFunc add
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/DayAfter_misc/flameball.jpg
		blendFunc add
		rgbGen wave sin .6 .2 0 .6
	}
}



textures/DayAfter/lava_liquid
{
  qer_editorimage textures/DayAfter_misc/lava.jpg
  qer_trans .5
  q3map_lightimage textures/DayAfter_misc/lava.jpg
  q3map_globaltexture

  surfaceparm noimpact
  surfaceparm lava
  surfaceparm nolightmap
  surfaceparm nobuildsurface
  surfaceparm nobuild

  //q3map_surfacelight 50
  //tessSize 32
  cull disable

  //deformVertexes wave 200 sin 0 1 .5 .5

  {
    map textures/DayAfter_misc/lava.jpg
    rgbGen const ( 0.6 0.6 0.6 )
    //blendfunc add
    tcMod turb .3 .2 1 .05
    tcMod scroll .01 .02
  }

  {
    map textures/DayAfter_misc/lava.jpg
    rgbGen const ( 0.9 0.9 0.9  )
    //blendfunc add
    tcMod turb .2 .1 1 .05
    tcMod scale .5 .5
    tcMod scroll .02 .01
  }
}


textures/DayAfter/vine06
{
	qer_editorimage textures/DayAfter_misc/vine06.tga
	q3map_backShader textures/DayAfter/vine06_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/DayAfter_misc/vine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/DayAfter/vine06_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/DayAfter_misc/vine06.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}


textures/DayAfter/grata
{
	qer_editorimage textures/DayAfter_misc/grata.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	nopicmip
	{
		map textures/DayAfter_misc/grata.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap 

		blendfunc filter
		depthFunc equal
	}
}


textures/DayAfter/plainglass
{
	qer_editorimage textures/DayAfter_misc/plainglass.tga

	qer_trans 0.6

	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/DayAfter_misc/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/DayAfter/mirror
{
qer_editorimage textures/DayAfter_misc/mirrorbackground.tga

noPicMip
noMipMaps

surfaceparm nolightmap
surfaceparm playerclip
portal
{
map textures/DayAfter_misc/mirrorbackground.tga
blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
depthWrite
alphaGen portal 256
}
}

textures/DayAfter/fog    //Thanks to Lava Croft's Sokolov Shader
{
qer_editorimage textures/DayAfter_misc/fog.tga
qer_trans .5
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap
qer_nocarve
fogparms ( 0.9 0.5 0.2 ) 500
}
